MCMA2: Minecraft Server refuses to start with MCMA: log-strip-color is not a recognized option

  • 40 Views
  • Last Post yesterday
  • Topic Is Solved
Crueldog posted this 2 weeks ago

Hello,

I run Windows Server 2012, Got MCMA2 installed as service. Whenever I try to run the server with BuildTools, It keeps saying this error...

thread "main" joptsimple.UnrecognizedOptionException: log-strip-color is not a recognized option

If I try to run it in Vanilla Official mode, it says another error: https://pastebin.com/jwPqdZ01

The issue appears to be with MCMA as if I run the minecraft jar directly, it works....

Help would be appreciated... Thank you

Order By: Standard | Newest | Votes
Mike posted this 2 weeks ago

You should upgrade to AMP/MCMA3.

Crueldog posted this 2 weeks ago

@Mike Unless AMP is made compatible with Windows Server 2012 RC1, it's not an option... Tried it, in fact bought 2 licenses for it, only to find out it will only run on R2 and above...

Mike posted this 2 weeks ago

I don't really have a good answer for you then. The errors you're getting in Vanilla mode think may be resolved by deleting the world data etc if there are any version differences. Ideally you should move to an OS still receiving mainstream support.

Crueldog posted this 2 weeks ago

Hey,

It has no world. Only doesnt work when I use MCMA.. Its a brand new install, and run.

For the OS, I would.. but my stupid provider doesn't offer it... Got a Dedicated server deal with OVH.. And the only Windows server OS they have is 2012 standard. Or linux.. And I don't want to go the linux route no more lol.

I don't see why it would work on 2012 R2 but not R1.. I mean, what's so different that would make it not work... I'll see at next pay if I can buy a new dedicated server from the same provider with a bit newer Xeon CPU in it..(im out of cash already) they offer the R2 and even 2016 for it... At the time I decided to go for the option 20$ cheaper.. Then I went crazy buying 2 licenses from you, thinking I'd be having loads of fun, only to see the dreaded message (LOL).

Thanks anyway... And stay safe from COVID-19. And just saying, you should remove the option to buy MCMA2 if it's broken.

Mike posted this 2 weeks ago

I'm assuming you're talking about Spigot here? This doesn't look like an MCMA issue. Ambiguity between arguments seems to be something that comes up a lot if I search for it.

Sketaful posted this 3 days ago

Try deleting villages.dat, villagesend.dat, and villagesnether.dat if they exists. Sometimes they give problems like this at start.

Crueldog posted this yesterday

Hello,

Even vanilla minecraft didn't work. I did a fresh install of MCMA2, clicked Vanilla, clicked install, it installs properly - But when it starts, "A fault is preventing server to start". Then I get the error above " CONSOLE: Ambiguity between arguments [teleport, destination] and [teleport, targets] with inputs: [Player, 0123, @e, dd12be42-52a9-4a91-a8a1-11c01849e498]"

Now, since windows updates occurred on the server, the MCMA2 service starts, and automatically crashes after 10 seconds..

Since all of the issues, I've decided to give up on MCMA2.

Thanks

Close